From mboxrd@z Thu Jan  1 00:00:00 1970
MIME-Version: 1.0
From: V Krotevich <lg3dx6fd@gmail.com>
Date: Mon, 15 Jul 2024 17:38:55 +0000
Message-ID: <CAC2u4W4QiduHCKY_N-s+fHjsqLxOnLgrBqQqPY3JzTWxXorNAw@mail.gmail.com>
Subject: I could compile it on termux with next changes
To: list+pounce@causal.agency
Content-Type: multipart/alternative; boundary="000000000000b8b05f061d4cb468"

--000000000000b8b05f061d4cb468
Content-Type: text/plain; charset="UTF-8"

diff --git a/bounce.c b/bounce.c
index 9ab0f1d..f8352a7 100644
--- a/bounce.c
+++ b/bounce.c
@@ -46,6 +46,7 @@
 #include <time.h>
 #include <tls.h>
 #include <unistd.h>
+#include <crypt.h>

 #ifndef SIGINFO
 #define SIGINFO SIGUSR2
@@ -358,8 +359,8 @@ int main(int argc, char *argv[]) {
 #endif

        stateLogin(pass, blindReq, plain, nick, user, real);
-       if (pass) explicit_bzero(pass, strlen(pass));
-       if (plain) explicit_bzero(plain, strlen(plain));
+       if (pass) memset(pass, '\0', strlen(pass));
+       if (plain) memset(plain, '\0', strlen(plain));

        while (!stateReady()) serverRecv();
        serverFormat("AWAY :%s\r\n", clientAway);
diff --git a/client.c b/client.c
index 23cde36..16d439c 100644
--- a/client.c
+++ b/client.c
@@ -39,6 +39,7 @@
 #include <time.h>
 #include <tls.h>
 #include <unistd.h>
+#include <crypt.h>

 #include "bounce.h"

@@ -188,7 +189,7 @@ static void handlePass(struct Client *client, struct
Message *msg) {
 #else
        int error = strcmp(crypt(msg->params[0], clientPass), clientPass);
 #endif
-       explicit_bzero(msg->params[0], strlen(msg->params[0]));
+       memset(msg->params[0], '\0', strlen(msg->params[0]));
        if (error) {
                passRequired(client);
        } else {
diff --git a/state.c b/state.c
index a28b3ba..c9505e1 100644
--- a/state.c
+++ b/state.c
@@ -70,7 +70,7 @@ void stateLogin(
                if (!sep) errx(EX_USAGE, "SASL PLAIN missing colon");
                *sep = 0;
                base64(plainBase64, buf, len);
-               explicit_bzero(buf, len);
:

--000000000000b8b05f061d4cb468
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">diff --git a/bounce.c b/bounce.c<br>index 9ab0f1d..f8352a7=
 100644<br>--- a/bounce.c<br>+++ b/bounce.c<br>@@ -46,6 +46,7 @@<br>=C2=A0#=
include &lt;time.h&gt;<br>=C2=A0#include &lt;tls.h&gt;<br>=C2=A0#include &l=
t;unistd.h&gt;<br>+#include &lt;crypt.h&gt;<br><br>=C2=A0#ifndef SIGINFO<br=
>=C2=A0#define SIGINFO SIGUSR2<br>@@ -358,8 +359,8 @@ int main(int argc, ch=
ar *argv[]) {<br>=C2=A0#endif<br><br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 stateLogin=
(pass, blindReq, plain, nick, user, real);<br>- =C2=A0 =C2=A0 =C2=A0 if (pa=
ss) explicit_bzero(pass, strlen(pass));<br>- =C2=A0 =C2=A0 =C2=A0 if (plain=
) explicit_bzero(plain, strlen(plain));<br>+ =C2=A0 =C2=A0 =C2=A0 if (pass)=
 memset(pass, &#39;\0&#39;, strlen(pass));<br>+ =C2=A0 =C2=A0 =C2=A0 if (pl=
ain) memset(plain, &#39;\0&#39;, strlen(plain));<br><br>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 while (!stateReady()) serverRecv();<br>=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 serverFormat(&quot;AWAY :%s\r\n&quot;, clientAway);<br>diff --git a/cli=
ent.c b/client.c<br>index 23cde36..16d439c 100644<br>--- a/client.c<br>+++ =
b/client.c<br>@@ -39,6 +39,7 @@<br>=C2=A0#include &lt;time.h&gt;<br>=C2=A0#=
include &lt;tls.h&gt;<br>=C2=A0#include &lt;unistd.h&gt;<br>+#include &lt;c=
rypt.h&gt;<br><br>=C2=A0#include &quot;bounce.h&quot;<br><br>@@ -188,7 +189=
,7 @@ static void handlePass(struct Client *client, struct Message *msg) {<=
br>=C2=A0#else<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 int error =3D strcmp(crypt(ms=
g-&gt;params[0], clientPass), clientPass);<br>=C2=A0#endif<br>- =C2=A0 =C2=
=A0 =C2=A0 explicit_bzero(msg-&gt;params[0], strlen(msg-&gt;params[0]));<br=
>+ =C2=A0 =C2=A0 =C2=A0 memset(msg-&gt;params[0], &#39;\0&#39;, strlen(msg-=
&gt;params[0]));<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 if (error) {<br>=C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 passRequired(client);<br>=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 } else {<br>diff --git a/state.c b/state.c<br>inde=
x a28b3ba..c9505e1 100644<br>--- a/state.c<br>+++ b/state.c<br>@@ -70,7 +70=
,7 @@ void stateLogin(<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 if (!sep) errx(EX_USAGE, &quot;SASL PLAIN missing colon&quot;);<br>=
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 *sep =3D 0;<br>=C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 base64(plainBase64, bu=
f, len);<br>- =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 explicit_bze=
ro(buf, len);<br>:<br></div>

--000000000000b8b05f061d4cb468--

